# $Revision: 1.84.2.5 $, $Date: 2003/04/12 23:27:55 $
%include	/usr/lib/rpm/macros.perl
Summary:	OpenSSL Toolkit libraries for the "Secure Sockets Layer" (SSL v2/v3)
Summary(de):	Secure Sockets Layer (SSL)-Kommunikationslibrary
Summary(es):	Biblioteca C que suministra algoritmos y protocolos criptogrficos
Summary(fr):	Utilitaires de communication SSL (Secure Sockets Layer)
Summary(pl):	Biblioteki OpenSSL (SSL v2/v3)
Summary(pt_BR):	Uma biblioteca C que fornece vrios algoritmos e protocolos criptogrficos
Summary(ru):	      Secure Sockets Layer
Summary(uk):	̦  ̦  '  Secure Sockets Layer
Name:		openssl
Version:	0.9.6j
Release:	1
License:	Apache-style License
Vendor:		The OpenSSL Project
Group:		Libraries
Source0:	ftp://ftp.openssl.org/source/%{name}-%{version}.tar.gz
Source1:	%{name}-ca-bundle.crt
Source2:	%{name}.1.pl
Patch0:		%{name}-alpha-ccc.patch
# patch1 is only for 0.9.6a version. This version isn't binary
# compatibile with 0.9.6 but have this same soname.
Patch1:		%{name}-soname.patch
Patch2:		%{name}-optflags.patch
Patch3:		%{name}-nocrypt.patch
Patch4:		%{name}-globalCA.diff
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	textutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	SSLeay
Obsoletes:	SSLeay-devel
Obsoletes:	SSLeay-perl
Obsoletes:	libopenssl0

%description
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, full-featured, and Open Source toolkit implementing
the Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS
v1) protocols with full-strength cryptography world-wide. The project
is managed by a worldwide community of volunteers that use the
Internet to communicate, plan, and develop the OpenSSL tookit and its
related documentation.

OpenSSL is based on the excellent SSLeay library developed by Eric A.
Young and Tim J. Hudson. The OpenSSL toolkit is licensed under an
Apache-style licence, which basically means that you are free to get
and use it for commercial and non-commercial purposes subject to some
simple license conditions.

This package contains shared libraries only, install openssl-tools if
you want to use openssl cmdline tool.

%description -l de
Openssl enthlt das OpenSSL Zertifikatsmanagementtool und shared
libraries, die verschiedene Verschlsselungs- und
Entschlsselungsalgorithmen und -protokolle, wie DES, RC4, RSA und SSL
zur Verfgung stellen.

%description -l es
Biblioteca C que suministra algoritmos y protocolos criptogrficos.

%description -l fr
OpenSSL est un outiil de gestion des certificats et les librairies
partagees qui fournit plusieurs protocoles et algorithmes de
codage/decodage, incluant DES, RC4, RSA et SSL.

%description -l pl
Implementacja protokow kryptograficznych Secure Socket Layer (SSL)
v2/v3 oraz Transport Layer Security (TLS v1).

%description -l pt_BR
Uma biblioteca C que fornece vrios algoritmos e protocolos
criptogrficos, incluindo DES, RC4, RSA e SSL. Inclui bibliotecas
compartilhadas e utilitrios.

%description -l ru
 openssl       ,
    ,  DES,
RC4, RSA  SSL.

%description -l uk
 openssl    Ʀ  ¦̦ Ц
,  ̦  ˦˦ Ʀ
ͦ,  DES, RC4, RSA  SSL.

%package tools
Summary:	OpenSSL command line tool and utilities
Summary(pl):	Zestaw narzdzi i skryptw
Group:		Applications/Communications
Requires:	%{name} = %{version}

%description tools
The OpenSSL Toolkit cmdline tool openssl and utility scripts.

%description tools -l pl
Zestaw narzdzi i skryptw wywoywanych z linii polece.

%package tools-perl
Summary:	OpenSSL utilities written in Perl
Summary(pl):	Narzdzia OpenSSL napisane w perlu
Group:		Applications/Communications
Requires:	%{name} = %{version}

%description tools-perl
OpenSSL Toolkit tools written in Perl.

%description tools-perl -l pl
Narzdzia OpenSSL napisane w perlu.

%package devel
Summary:	Development part of OpenSSL Toolkit libraries
Summary(de):	Secure Sockets Layer Kommunikationslibrary: statische libraries+header
Summary(es):	Bibliotecas y archivos de inclusin para desarrollo OpenSSL
Summary(fr):	Librairies statiques, headers et utilitaires pour communication SSL
Summary(pl):	Cz bibiloteki OpenSSL przeznaczona dla programistw
Summary(pt_BR):	Bibliotecas e arquivos de incluso para desenvolvimento OpenSSL
Summary(ru):	,     Secure Sockets Layer
Summary(uk):	̦,   ̦  Secure Sockets Layer
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libopenssl0-devel

%description devel
Development part of OpenSSL library.

%description devel -l es
Bibliotecas y archivos de inclusin para desarrollo OpenSSL

%description devel -l pl
Cz bibiloteki OpenSSL przeznaczona dla programistw.

%description devel -l pt_BR
Uma biblioteca C que fornece vrios algoritmos e protocolos
criptogrficos, incluindo DES, RC4, RSA e SSL. Inclui bibliotecas e
arquivos de incluso para desenvolvimento.

%description devel -l ru
 openssl       ,
    ,  DES,
RC4, RSA  SSL.       
  SSL.

%description devel -l uk
 openssl    Ʀ  ¦̦ Ц
,  ̦  ˦˦ Ʀ
ͦ,  DES, RC4, RSA  SSL.  ¦̦ 
      SSL.

%package static
Summary:	Static OpenSSL libraries
Summary(pl):	Statyczne wersje bibliotek z OpenSSL
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com openssl
Summary(ru):	    OpenSSL
Summary(uk):	Φ ¦̦ ͦ  OpenSSL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static OpenSSL Toolkit libraries.

%description static -l pl
Statyczne wersje bibliotek z OpenSSL.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com openssl.

%description static -l ru
 openssl       ,
    ,  DES,
RC4, RSA  SSL.     
   OpenSSL.

%description static -l uk
 openssl    Ʀ  ¦̦ Ц
,  ̦  ˦˦ Ʀ
ͦ,  DES, RC4, RSA  SSL.  Φ
¦̦      SSL.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
for f in ` grep -r "%{_prefix}/local/bin/perl" . | cut -d":" -f1`; do
perl -pi -e 's#%{_prefix}/local/bin/perl#%{_bindir}/perl#g' $f
done

touch Makefile.*

perl util/perlpath.pl %{_bindir}/perl

OPTFLAGS="%{rpmcflags}"
export OPTFLAGS
%ifarch i386 i486
./Configure --openssldir=%{_var}/lib/%{name} linux-elf shared 386
%endif
%ifarch i586 i686 athlon
./Configure --openssldir=%{_var}/lib/%{name} linux-elf shared
%endif
%ifarch ppc
./Configure --openssldir=%{_var}/lib/%{name} linux-ppc shared
%endif
%ifarch alpha
./Configure --openssldir=%{_var}/lib/%{name} threads linux-alpha+bwx-gcc shared
%endif
%ifarch sparc
./Configure --openssldir=%{_var}/lib/%{name} threads linux-sparcv8 shared
%endif

%{__make} CC="%{__cc}"
%{__make} rehash CC="%{__cc}"

# Conv PODs to man pages. "openssl_" prefix is added to each manpage
# to avoid potential conflicts with others packages.
center="OpenSSL 0.9.6"
rel="OpenSSL 0.9.6"

cd doc/apps || exit 1
perl -pi -e 's/(\W)((?<!openssl_)\w+)(\(\d\))/$1openssl_$2$3/g; s/openssl_openssl/openssl/g;' *.pod;

for pod in *.pod; do
	if [ $pod != "openssl.pod" ]; then
		mv -f $pod openssl_$pod;
		pod=openssl_$pod;
	fi

	sec=1
	if [ $pod = "openssl_config.pod" ]; then
		sec=5
	fi

	manpage=`basename $pod .pod`.$sec;
	pod2man --section="$sec" --release="$rel" --center="$center" \
		$pod > $manpage;
	echo "$manpage";
done
cd ..

sec=3
for dir in ssl crypto; do
	cd $dir || exit 1;
	if [ $dir = "ssl" ]; then
		rel="OpenSSL SSL/TLS library"
	elif [ $dir = "crypto" ]; then
		rel="OpenSSL cryptographic library"
	fi

	perl -p -i -e 's/(\W)((?<!openssl_)\w+)(\(\d\))/$1openssl_$2$3/g; s/openssl_openssl/openssl/g;' *.pod;

	for pod in *.pod; do
		sec=`[ "$pod" = "des_modes.pod" ] && echo 7 || echo 3`;
		mv -f $pod openssl_$pod;
		pod=openssl_$pod;
		manpage=`basename $pod .pod`.$sec;
		pod2man --section="$sec" --release="$rel" --center=" " $pod > $manpage;
		echo "$manpage";
	done
	cd ..
done

#cd perl
#perl Makefile.PL
#make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},%{_libdir}/%{name}} \
	$RPM_BUILD_ROOT{%{_mandir}/{pl/man1,man{1,3,5,7}},%{_datadir}/ssl}

%{__make} install \
	INSTALLTOP=%{_prefix} \
	INSTALL_PREFIX=$RPM_BUILD_ROOT

install %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/ssl/ca-bundle.crt
install libRSAglue.a libcrypto.a libssl.a $RPM_BUILD_ROOT%{_libdir}
install lib*.so.*.* $RPM_BUILD_ROOT%{_libdir}
ln -sf libcrypto.so.*.* $RPM_BUILD_ROOT%{_libdir}/libcrypto.so
ln -sf libssl.so.*.* $RPM_BUILD_ROOT%{_libdir}/libssl.so

mv -f $RPM_BUILD_ROOT%{_var}/lib/%{name}/openssl.cnf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
ln -s %{_sysconfdir}/%{name}/openssl.cnf \
	$RPM_BUILD_ROOT%{_var}/lib/%{name}/%{name}.cnf

mv -f $RPM_BUILD_ROOT%{_var}/lib/%{name}/misc/* $RPM_BUILD_ROOT%{_libdir}/%{name}
rm -rf $RPM_BUILD_ROOT%{_var}/lib/%{name}/misc

mv -f $RPM_BUILD_ROOT%{_bindir}/c_rehash $RPM_BUILD_ROOT%{_libdir}/%{name}

find $RPM_BUILD_ROOT%{_mandir} -type f | xargs rm -f
install doc/apps/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install doc/apps/*.5 $RPM_BUILD_ROOT%{_mandir}/man5
install doc/ssl/*.3 doc/crypto/*.3 $RPM_BUILD_ROOT%{_mandir}/man3
install doc/crypto/*.7 $RPM_BUILD_ROOT%{_mandir}/man7
install %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/pl/man1/openssl.1

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%doc CHANGES CHANGES.SSLeay LICENSE NEWS README doc/*.txt
%doc doc/openssl_button.gif doc/openssl_button.html

%files tools
%defattr(644,root,root,755)
%dir %{_sysconfdir}/%{name}
%dir %{_var}/lib/%{name}
%dir %{_var}/lib/%{name}/private
%dir %{_var}/lib/%{name}/certs

%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/%{name}/openssl.cnf
%verify(not md5 size mtime) %config(noreplace) %{_var}/lib/%{name}/openssl.cnf
%dir %{_datadir}/ssl
%verify(not md5 size mtime) %config(noreplace)%{_datadir}/ssl/ca-bundle.crt

%attr(755,root,root) %{_bindir}/%{name}
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/CA.sh
%attr(755,root,root) %{_libdir}/%{name}/c_hash
%attr(755,root,root) %{_libdir}/%{name}/c_info
%attr(755,root,root) %{_libdir}/%{name}/c_issuer
%attr(755,root,root) %{_libdir}/%{name}/c_name

%{_mandir}/man1/openssl.1*
%{_mandir}/man1/openssl_asn1parse.1*
%{_mandir}/man1/openssl_ca.1*
%{_mandir}/man1/openssl_ciphers.1*
%{_mandir}/man1/openssl_crl.1*
%{_mandir}/man1/openssl_crl2pkcs7.1*
%{_mandir}/man1/openssl_dgst.1*
%{_mandir}/man1/openssl_dhparam.1*
%{_mandir}/man1/openssl_dsa.1*
%{_mandir}/man1/openssl_dsaparam.1*
%{_mandir}/man1/openssl_enc.1*
%{_mandir}/man1/openssl_gendsa.1*
%{_mandir}/man1/openssl_genrsa.1*
%{_mandir}/man1/openssl_nseq.1*
%{_mandir}/man1/openssl_passwd.1*
%{_mandir}/man1/openssl_pkcs12.1*
%{_mandir}/man1/openssl_pkcs7.1*
%{_mandir}/man1/openssl_pkcs8.1*
%{_mandir}/man1/openssl_rand.1*
%{_mandir}/man1/openssl_req.1*
%{_mandir}/man1/openssl_rsa.1*
%{_mandir}/man1/openssl_rsautl.1*
%{_mandir}/man1/openssl_s_client.1*
%{_mandir}/man1/openssl_s_server.1*
%{_mandir}/man1/openssl_sess_id.1*
%{_mandir}/man1/openssl_smime.1*
%{_mandir}/man1/openssl_speed.1*
%{_mandir}/man1/openssl_spkac.1*
%{_mandir}/man1/openssl_verify.1*
%{_mandir}/man1/openssl_version.1*
%{_mandir}/man1/openssl_x509.1*
%{_mandir}/man5/*.5*
%lang(pl) %{_mandir}/pl/man1/openssl.1*

%files tools-perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/CA.pl
%attr(755,root,root) %{_libdir}/%{name}/der_chop
%attr(755,root,root) %{_libdir}/%{name}/c_rehash
%{_mandir}/man1/openssl_CA.pl.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/%{name}
%{_mandir}/man3/*.3*
%{_mandir}/man7/*.7*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: openssl.spec,v $
Revision 1.84.2.5  2003/04/12 23:27:55  kloczek
- relase 1.

Revision 1.84.2.4  2003/04/12 10:52:19  misi3k
- updated to 0.9.6j
- removed patch 5 & 6 (not needed)
- rel 0.1
Note: Test me

Revision 1.84.2.3  2003/03/20 09:13:56  misi3k
security patch (no 6) - CAN-2003-0131 (Klima-Pokorny-Rosa attack on RSA in SSL/TLS)

Revision 1.84.2.2  2003/03/17 19:09:23  misi3k
- secuirty patch (patch5)
- rel 2

Revision 1.84.2.1  2003/02/20 11:10:54  qboosh
- security update to 0.9.6i (information leak through timing)
- STBR to ra/updates/security

Revision 1.84  2002/12/21 23:10:02  orzech
- up to 0.9.6h

Revision 1.83  2002/12/02 11:06:23  ankry
- massive cleaning

Revision 1.82  2002/10/24 09:57:21  ankry
- added pl openssl.1 man page, rel. 2

Revision 1.81  2002/10/02 11:05:11  qboosh
- merged DEVEL branch (update to 0.9.6g)

Revision 1.77.2.6  2002/08/16 18:57:25  qboosh
- updated to 0.9.6g, removed obsolete makefix patch

Revision 1.77.2.5  2002/08/09 10:09:43  qboosh
- updated to 0.9.6f (more security fixes)

Revision 1.77.2.4  2002/08/08 08:04:12  qboosh
- new %%doc

Revision 1.77.2.3  2002/07/30 17:53:21  qboosh
- added 2 missing man pages

Revision 1.77.2.2  2002/07/30 13:56:08  qboosh
- security update to 0.9.6e

Revision 1.77.2.1  2002/05/13 20:06:38  qboosh
- 0.9.6d (bugfixes), updated optflags and nocrypt patches

Revision 1.77  2002/05/05 12:19:56  kloczek
- merge DEVEL bramnch to HEAD (updated to 0.9.6c),
- merge translations from KSI and Conectiva.

Revision 1.76  2002/04/19 09:40:12  wiget
one more fix in nocrypt.patch (openssl/des.h must not define prototype of crypt()), release 9

Revision 1.75  2002/03/17 11:34:53  kloczek
- fix: move ca-bundle.crt to main package.

Revision 1.74  2002/03/17 09:23:54  kloczek
- release 8,
- added to bundle CA Root Certificates Unizeto certificates,
- use CC=%%{__cc} on compile.

Revision 1.73  2002/03/06 16:45:47  kloczek
- removed all embeded stuff.

Revision 1.72  2002/03/06 10:25:09  qboosh
- fixed removing uclibc stuff

Revision 1.71  2002/03/05 17:30:52  marcus
- removed uclibc stuff
- rel.7.

Revision 1.70  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.69  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.68  2002/02/19 18:53:35  gotar
- %desc

Revision 1.67  2002/02/02 20:32:09  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.66  2002/01/31 23:56:53  ankry
- removed bogus Group(fr)

Revision 1.65  2002/01/26 13:18:58  filon
- athlon updates
- relase 2

Revision 1.64  2002/01/23 16:28:59  malekith
- added devel-embed subpackage
- rel 6

Revision 1.63  2002/01/18 02:14:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.62  2002/01/03 06:33:47  kloczek
- release 5: libopenssl0{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.61  2001/11/20 17:12:05  wiget
remove crypt(3) from libcrypto;release 4

Revision 1.60  2001/07/15 11:46:45  kloczek
- release 3: basck to SONAME 0.9.6.1.

Revision 1.59  2001/07/12 21:15:25  kloczek
- release 2: bump SONAME to 0.9.6.2.

Revision 1.58  2001/07/11 23:25:24  qboosh
- 0.9.6b - security and bug fixes release

Revision 1.57  2001/05/24 18:02:00  misiek
release 4

Revision 1.56  2001/05/24 17:05:24  serek
- link correction.

Revision 1.55  2001/05/08 20:10:36  kloczek
- release 3,
- added optflags patch (based on redhat patch from rawhide),
- simplifications in %build and %install.

Revision 1.54  2001/05/07 14:56:43  wiget
use patch1

Revision 1.53  2001/05/07 14:22:15  wiget
add soname patch (fix ABI brakage)

Revision 1.52  2001/05/04 15:22:56  wiget
0.9.6a

Revision 1.51  2001/05/01 23:30:51  misiek
- fix _all_ perl paths
- package need update to 0.9.6a (since few important bug were fixed)

Revision 1.50  2001/04/30 16:05:25  kloczek
- added using %%{rpmcflags} macro.

Revision 1.49  2001/04/17 12:04:54  baggins
- release 6
- rebuild with perl 5.6.1

Revision 1.48  2001/01/25 20:03:42  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.47  2000/12/28 15:06:51  baggins
- release 5
- moved c_rehash to perl package (it's a perl script)
- fixed lib*.so install

Revision 1.46  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.45  2000/11/29 16:20:08  dobrek
-removed compilation using compaq compiler.

Revision 1.44  2000/11/21 00:02:22  kloczek
- replace all "-mcpu=ultrasparc" by %%{optflags} for generate correct
  binaries on sparc32/sparc64.

Revision 1.43  2000/11/20 23:58:23  kloczek
- release 4: added touch Makefile.* for correcting tme from future on this
  files.

Revision 1.42  2000/10/18 15:28:07  dobrek
- Added suport for ccc compiler on AXP + corrected problems with shared librares
- One patch added
- Release=3

Revision 1.41  2000/10/16 20:09:48  dobrek
- Corrected architecture name for AXP. into linux-alpha-gcc

Revision 1.40  2000/10/12 13:14:59  kloczek
- adaptrerized and removed stripping from %install,
- changed Group to Applications/Communications in tools, tools-perl.

Revision 1.39  2000/10/12 12:26:52  wiget
fix install

Revision 1.38  2000/10/10 12:02:52  wiget
- Release: 2
- fix building for i{3,4}86

Revision 1.37  2000/09/30 07:43:10  kravietz
- upgraded to OpenSSL-0.9.6

Revision 1.36  2000/08/28 23:21:19  kloczek
- s/\.gz/\*/ in %files for mana pages,
- group compress man pages in one line in %install,
- diew other cosmetics.

Revision 1.35  2000/08/24 15:52:02  mis
- splited openssl again (following Wiget suggestions) to:
  openssl (libraries),
  openssl-tools (openssl cmdline tool and scripts)
  openssl-tools-perl (Perl scripts)
- removed rehashing certs from %post, I think it may confuse some
  running apps during openssl-tools upgrade (I'm not sure); and
  seems nobody needs it -- "c_rehash certs" does nothing)
- man pages are installed instead of PODs (this should be a patch for
  Makefile, instead of %build part, TODO)
- adpterized and some cosmetics

Revision 1.34  2000/08/22 16:38:11  mis
- openssl package splited to openssl (with scripts and binaries) and
  openssl-libs (with shared libraries only).
  That's for the ones who use programs which not need whole openssl
  (like ssh, which use libcrypto only).
  I'm not sure that "openssl-libs" name is a good choice, fix me if not.

Revision 1.33  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.32  2000/05/26 00:11:46  kloczek
- release 3,
- added %dir %%{_sysconfdir} to %files.

Revision 1.31  2000/05/24 18:14:06  kloczek
- release 2.

Revision 1.30  2000/05/24 18:01:14  zagrodzki
- prereq: sed, fileutils (c_rehash requires this)

Revision 1.29  2000/05/21 00:14:05  kloczek
- spec adapterized.

Revision 1.28  2000/05/10 17:58:25  kloczek
- fixed %install,
WARNING: current adapter.awk have bug (replaces all "rm -rf $RPM_BUILD_ROOT*"
by "rm -rf $RPM_BUILD_ROOT").

Revision 1.27  2000/05/10 17:18:59  kloczek
- spec adapterized.

Revision 1.26  2000/05/10 11:58:10  wiget
0.9.5a

Revision 1.25  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.24  2000/04/01 11:15:16  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.22  2000/03/03 10:59:41  wiget
updated to 0.9.5

Revision 1.21  2000/01/15 14:36:29  kloczek
- added fr Summary (from MDK).

Revision 1.20  1999/12/21 22:31:28  wiget
- removed patch changing libcrypto -> libsslcrypto
 Now all other packages whats depend to openssl must have
 BuildPrereq: openssl-devel >= 0.9.4-2

Revision 1.19  1999/09/13 08:01:25  jajcus
- fixed BR#72 (mv -> cp -d)

Revision 1.18  1999/08/21 17:21:35  kloczek
- updated to 0.9.4,
- reordered translations.

Revision 1.17  1999/07/21 11:42:20  pius
- added BuildRequires: symlinks.

Revision 1.16  1999/07/21 10:29:40  baggins
- fixed wrong symlink

Revision 1.15  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.14  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.13  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Apr 14 1999 Artur Frysiak <wiget@pld.org.pl>
  [0.9.2c-2]
- rewrite for PLD
TODO: make shared libs and perl subpackage
